﻿@model DTO.ExpertPromoteDTO
@using DTO;
@using zhengcaioa.Models;
@{
 //   List<PltUser> Users = ViewData["users"] as List<PltUser>; 
    string experId = ViewData["experId"] as string;
}
@{
    ViewBag.Title = "专家推广记录";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";
}
 
@section headerStyle{
    <script type="text/javascript">
        var Users = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewData["users"]))';
        var searchIn = { Createtime: "", ExpertId: "@experId", Creater:""};
        dataCol = [
            { label: 'id', name: 'Id', labtype: 'txt', hidden: true },
            //{ label: '编号', name: 'SN', labtype: 'txt', hidden: false },
            { label: '推广时间', name: 'PromoteDate', labtype: 'txt', hidden: false },
           // { label: '专家', name: 'Name', labtype: 'txt', hidden: false },
            //{ label: '专家证号', name: 'CertiNumber', labtype: 'txt', hidden: false },
            { label: '内容', name: 'Content', labtype: 'txt', hidden: false },
           // { label: '记录人', name: 'creater', labtype: 'txt', hidden: false },

            { label: '状态', name: 'RecStatus', labtype: 'txt', hidden: true },
            { label: '创建人', name: 'Creater', labtype: 'txt', hidden: true },
            { label: '创建时间', name: 'Createtime', labtype: 'txt', hidden: true },
            { label: '修改人', name: 'Modifier', labtype: 'txt', hidden: true },
            { label: '修改时间', name: 'Modifytime', labtype: 'txt', hidden: true }

        ];
        dataUrl = "/Expert/GetPromoteList/?ExpertId=" + "@experId"; 
        searchCol = [
          //  { label: '专家id', name: 'ExpertId', labtype: 'txt', hidden: true},
            { label: '录入时间', name: 'Createtime', labtype: 'datearea', hidden: false },
            { label: '记录人', name: 'Creater', labtype: 'combox', hidden: false, data: JSON.parse(Users), cwidth: '5%', cccwidth: '6.5%' }

        ];

        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除成功");
                /**/
            }
        }

        @*$(function () {
            $("#PBSExpertId").val("@experId");
            let parent = $("#PBSExpertId").parent();
            $(parent).css("display", "none");
            let ele = $("label:contains('专家id')");
            if (ele !== undefined) {
                $(ele).css("display", "none");
            }
           _pageSeach();
        })*@

    </script>
}

